import _extends from "@babel/runtime/helpers/extends";
import "./index.scss";
export default function Winner(props) {
  return /*#__PURE__*/React.createElement("div", _extends({
    className: "winner"
  }, props.winnerStyle), props.list.map(function (item, index) {
    return /*#__PURE__*/React.createElement("div", {
      key: index + item,
      className: "winner-items"
    }, /*#__PURE__*/React.createElement("div", {
      className: "item"
    }, item.time || '10分钟前'), /*#__PURE__*/React.createElement("div", {
      className: "item"
    }, item.phone.replace(/^(1[34578]\d)(\d{4})(\d{4})$/, '$1****$3')), /*#__PURE__*/React.createElement("div", {
      className: "item"
    }, item.prize));
  }));
}